Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Attributes | List of all members
LeapMotionManager Class Reference

`#include <leapMotionManager.h>`

## Classes
struct | FingerEvent
class | MotionListener

## Public Member Functions
| LeapMotionManager ()
| ~LeapMotionManager ()
void | enable (bool enabledState)
void | disable ()
bool | getEnabled ()
bool | getActive ()
void | setActive (bool enabledState)
void | toggleMouseControl (bool enabledState)
bool | getMouseControlToggle ()
bool | setMinCircleProgress (const F32 value)
F32 | getMinCircleProgress ()
bool | configureLeapGesture (const char *configString, const F32 value)
void | process (const Leap::Controller &controller)
void | processHand (const Leap::Hand &hand, S32 id)
void | processHandPointables (const Leap::PointableList &pointables)
void | processGestures (const Leap::GestureList &gestures)
void | generateMouseEvent (const Leap::Controller &controller)
Vector2 | getPointFromProjection (Point3F position)
Vector2 | getPointFromIntersection (S32 pointableID)

## Static Public Member Functions
static void | staticInit ()

## Static Public Attributes
static bool | smEnableDevice = true
static bool | smGenerateIndividualEvents = true
static bool | smKeepHandIndexPersistent = false
static bool | smKeepPointableIndexPersistent = false
static bool | smGenerateSingleHandRotationAsAxisEvents = false
static F32 | smMaximumHandAxisAngle = 25.0f
static bool | smGenerateWholeFrameEvents = false
static U32 | LM_FRAMEVALIDDATA = 0
static U32 | LM_HAND [LeapMotionConstants::MaxHands] = {0}
static U32 | LM_HANDAXISX = 0
static U32 | LM_HANDAXISY = 0
static U32 | LM_HANDPOINTABLE [LeapMotionConstants::MaxHands][LeapMotionConstants::MaxPointablesPerHand] = {0}
static U32 | LM_HANDPOINTABLEROT [LeapMotionConstants::MaxHands][LeapMotionConstants::MaxPointablesPerHand] = {0}
static U32 | LM_FRAME = 0

## Protected Attributes
bool | mEnabled
F32 | mMinCircleProgress
Leap::Controller * | mController
| The connection to the Leap Motion. More...
MotionListener * | mListener
| Our Leap Motion listener class. More...
void * | mActiveMutex
| Used with the LM listener object. More...
bool | mActive
| Is the Leap Motion active. More...
bool | mMouseControl
| Is the Manager acting like a mouse. More...
Leap::Frame | mLastFrame
| Last stored frame. More...

## Constructor & Destructor Documentation

LeapMotionManager | ( |  | ) |

~LeapMotionManager | ( |  | ) |

## Member Function Documentation

bool configureLeapGesture | ( | const char * | configString,
|  | const F32 | value
| ) |  |

void disable | ( |  | ) |

void enable | ( | bool | enabledState | ) |

void generateMouseEvent | ( | const Leap::Controller & | controller | ) |

bool getActive | ( |  | ) |

bool getEnabled | ( |  | ) |
| inline

F32 getMinCircleProgress | ( |  | ) |
| inline

bool getMouseControlToggle | ( |  | ) |

Vector2 getPointFromIntersection | ( | S32 | pointableID | ) |

Vector2 getPointFromProjection | ( | Point3F | position | ) |

void process | ( | const Leap::Controller & | controller | ) |

void processGestures | ( | const Leap::GestureList & | gestures | ) |

void processHand | ( | const Leap::Hand & | hand,
|  | S32 | id
| ) |  |

void processHandPointables | ( | const Leap::PointableList & | pointables | ) |

void setActive | ( | bool | enabledState | ) |

bool setMinCircleProgress | ( | const F32 | value | ) |

void staticInit | ( |  | ) |
| static

void toggleMouseControl | ( | bool | enabledState | ) |

## Member Data Documentation

U32 LM_FRAME = 0
| static

U32 LM_FRAMEVALIDDATA = 0
| static

U32 LM_HAND = {0}
| static

U32 LM_HANDAXISX = 0
| static

U32 LM_HANDAXISY = 0
| static

U32 LM_HANDPOINTABLE = {0}
| static

U32 LM_HANDPOINTABLEROT = {0}
| static

bool mActive
| protected

Is the Leap Motion active.

void* mActiveMutex
| protected

Used with the LM listener object.

Leap::Controller* mController
| protected

The connection to the Leap Motion.

bool mEnabled
| protected

Leap::Frame mLastFrame
| protected

Last stored frame.

MotionListener* mListener
| protected

Our Leap Motion listener class.

F32 mMinCircleProgress
| protected

bool mMouseControl
| protected

Is the Manager acting like a mouse.

bool smEnableDevice = true
| static

bool smGenerateIndividualEvents = true
| static

bool smGenerateSingleHandRotationAsAxisEvents = false
| static

bool smGenerateWholeFrameEvents = false
| static

bool smKeepHandIndexPersistent = false
| static

bool smKeepPointableIndexPersistent = false
| static

F32 smMaximumHandAxisAngle = 25.0f
| static

The documentation for this class was generated from the following files:

- input/leapMotion/leapMotionManager.h
- input/leapMotion/leapMotionManager.cc